;  pc.plt - plot cavity pressures similar to prb.m
;         using pcNN.txt files created by cavcal
;
head=0 : ticdir=in : yhor=y : clip=y
clip=y
select=$1>100
pltype=lines
xmin=0 : xmax=20 : xint=4 : xper=90 : xshift=-3
xlen=4 : ylen=3
xdat=$1/1000
zdat=0
; find max dB in pc01
include pc01.txt
stat
mx=round($y_max/10)*10 
data
select=
ylab=
%define dbph ; <xllc> <fn>
newframe
xllc=1+(1-$1)*xlen : yllc=4.5
pltcol=floor($2/2)+1
ydat=$$2
ymin=mx-60 : ymax=mx : yper=75 : yint=6
xlab=
ylab=
tlab= source $3
xanskp=-1
yanskp=-1
%repeat $1
ylab=pressure (dB V/Pa)
yanskp=1
%%%
include pc$2.txt
plot
newframe
yllc=(yllc-ylen)
ydat=$$3
ymin=-2 : ymax=2 : yper=100 : yint=8
xlab=frequency (kHz)
xanskp=0
%repeat $1
ylab=phase (cyc)
yanskp=1
%%%
tlab=
select=$$x>1&$$x<16
include pc$2.txt
stat
ydat=$$3-(round($$lr_a)+$$lr_b*$$x)
data
select=
include pc$2.txt
plot
%%
%for 01 03 05 07 09
%dbph 1 $1 1
%%
%msg 1.5 2.5 "delay = %.2f ms" -$lr_b
%for 02 04 06 08 10
%dbph 0 $1 2
%%
%msg 1.5 2.5 "delay = %.2f ms" -$lr_b
