; ths.plt - plot source impedance and source pressure
;
yhor=y : clip=y : sizfac=4 : grid=y : head=n
pltyp=lin : ticdir=i : labsiz=1.2
xlen=3 : ylen=3
xmin=1 : xmax=16 : xint=-2 : xcyc=1 : xper=80
xdata=$1/1000 : zdata=0 
db1=80 : db2=40 : dbr=50
select=$x>0.500&$x<19
%define ths ; fn1> <fn2>
pltcol=1
include $1.txt
plot
pltcol=4
include $2.txt
plot
%%
;
; source impedance
;
newframe
xllc=1.5
yllc=4.5
xanskp=-1
yanskp=0
ymin=db1-dbr : ymax=db1 : yint=dbr/10 : yper=90 : yfmt=i
xlab=
ylab=magnitude (dB)
tlab=source impedance
ydata=$2
%ths zs01 zs02
;
newframe
yllc=(yllc-ylen)
xanskp=0
yanskp=1
ymin=-0.5 : ymax=0.5 : yint=4 : yfmt=f.1
xlab=frequency (kHz)
ylab=phase (cyc)
tlab=
ydata=$3
%ths zs01 zs02
;
; source pressure
;
newframe
xllc=5.75
yllc=4.5
xanskp=-1
yanskp=0
ymin=db2-dbr : ymax=db2 : yint=dbr/10 : yper=90 : yfmt=i
xlab=
tlab=source pressure
ylab=magnitude (dB)
ydata=$2
%ths ps01 ps02
%ths px01 px02
;
;
newframe
yllc=(yllc-ylen)
xanskp=0
ymin=-0.5 : ymax=0.5 : yint=4.2 : yfmt=f.1
xlab=frequency (kHz)
ylab=phase (cyc)
tlab=
ydata=$3
include ps01.txt
uwph
stat
po1=round($lr_a)
gd1=-$lr_b
data
pltcol=1
ydata=$3+gd1*$x-po1
include ps01.txt
uwph
plot
pltcol=4
ydata=$3+gd1*$x-po1
include ps02.txt
uwph
plot
xdata= : ydata= : select=
pltyp=rect : shade=80
3.5 0.75
8.5 0.95
plot
msgdat=n : msgcol=1
%msg 1.7 2.6 "delay=%.2f ms" gd1
